> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Register a push token for the given auth token.

# Register push token

For the complete error reference, see [Error Guide](/rest-api/notifications-apis/error-codes).


## OpenAPI

````yaml post /notifications/push/v1/tokens
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /notifications/push/v1/tokens:
    post:
      tags:
        - Notifications
      summary: Register push token
      description: Register a push token for the given auth token.
      operationId: notifications-push-register-token
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/pnTokenSchema'
      responses:
        '200':
          description: A list of push notification's settings
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items: {}
                  meta:
                    type: object
                type: object
              example:
                data:
                  success: true
      security:
        - apiKey: []
components:
  schemas:
    pnTokenSchema:
      description: Response data
      oneOf:
        - $ref: '#/components/schemas/PlatformFCM'
          title: PlatformFCM
        - $ref: '#/components/schemas/PlatformAPNS'
          title: PlatformAPNS
        - $ref: '#/components/schemas/PlatformVOIP'
          title: PlatformVOIP
    PlatformFCM:
      allOf:
        - properties:
            platform:
              type: string
              enum:
                - fcm_android
                - fcm_ios
                - fcm_web
                - fcm_flutter_android
                - fcm_flutter_ios
                - fcm_react_native_android
                - fcm_react_native_ios
                - fcm_ionic_cordova_android
                - fcm_ionic_cordova_ios
              description: FCM push token platform.
            providerId:
              type: string
              example: fcm-provider-2
            fcmToken:
              type: string
          type: object
        - $ref: '#/components/schemas/CommonFields'
    PlatformAPNS:
      allOf:
        - properties:
            platform:
              type: string
              enum:
                - apns_ios_device
                - apns_flutter_device
                - apns_react_native_device
                - apns_ionic_cordova_device
              description: APNS device push token platform.
            providerId:
              type: string
              example: apns-provider-2
            deviceToken:
              type: string
          type: object
        - $ref: '#/components/schemas/CommonFields'
    PlatformVOIP:
      allOf:
        - properties:
            platform:
              type: string
              enum:
                - apns_ios_voip
                - apns_flutter_voip
                - apns_ionic_cordova_voip
                - apns_react_native_voip
              description: APNS VoIP push token platform.
            providerId:
              type: string
              example: apns-provider-2
            voipToken:
              type: string
          type: object
        - $ref: '#/components/schemas/CommonFields'
    CommonFields:
      properties:
        authToken:
          type: string
          example: cometchat-uid-3_1710141033938cf7e3c67cc44465440d
        timezone:
          type: string
          example: Asia/Kolkata
      type: object
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````